Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024582
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajorrandom2013-08-26 11:032013-11-22 16:08
ReporterjecharriView Statuspublic 
Assigned Tomarvintm 
PriorityurgentResolutionfixedFixed in VersionRMP26
StatusclosedFix in branchFixed in SCM revisionabe377f1daa7
ProjectionnoneETAnoneTarget VersionRMP26
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression levelProduction - Confirmed Stable
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackYes
Summary

0024582: Touch screens with Windows 8 does not work fine

DescriptionTouch screens with Windows 8 does not work fine
Steps To Reproduce-Login in Web POS.

-Check that some buttons do not work fine:

+try to push in the Business partner label (the label in top of the ticket with text "VBS Customer") and verify that a popup is not opened every time

+apart from that, create some tickets pushing in button "*"

+you will see that you have some tickets opened at the same time (you can identify easily because you will see a number in the top-right of the ticket).

+push in the number and you should be able to see a popup but it does not work every time.
TagsRegression
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0060801)
hgbot (developer)
2013-08-28 13:44

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 8bbfe3bde47160bdf7e3b1cb08d214c70939a034
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Wed Aug 28 13:44:15 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/8bbfe3bde47160bdf7e3b1cb08d214c70939a034 [^]

Fixed issue 24582. Buttons which raise popups, and the menu, will work correctly again in touchscreens with Windows

---
M web/org.openbravo.mobile.core/source/component/ob-commonbuttons.js
M web/org.openbravo.mobile.core/source/component/ob-menu.js
---
(0060804)
guilleaer (developer)
2013-08-28 14:08

Verified
(0060827)
hgbot (developer)
2013-08-30 08:52

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 787a633a2ad4f0e50d48877afe1b3e9fa84656eb
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Wed Aug 28 13:44:15 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/787a633a2ad4f0e50d48877afe1b3e9fa84656eb [^]

Fixed issue 24582. Buttons which raise popups, and the menu, will work correctly again in touchscreens with Windows

---
M web/org.openbravo.mobile.core/source/component/ob-commonbuttons.js
M web/org.openbravo.mobile.core/source/component/ob-menu.js
---
(0060828)
guilleaer (developer)
2013-08-30 09:01

reclosed
(0060829)
priyam (administrator)
2013-08-30 09:01

closing as the issue updated during RMP24.2 release tag merge.
(0060990)
hgbot (developer)
2013-09-10 09:54

Repository: erp/pmods/org.openbravo.mobile.core-levelpricing
Changeset: 8bbfe3bde47160bdf7e3b1cb08d214c70939a034
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Wed Aug 28 13:44:15 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core-levelpricing/rev/8bbfe3bde47160bdf7e3b1cb08d214c70939a034 [^]

Fixed issue 24582. Buttons which raise popups, and the menu, will work correctly again in touchscreens with Windows

---
M web/org.openbravo.mobile.core/source/component/ob-commonbuttons.js
M web/org.openbravo.mobile.core/source/component/ob-menu.js
---
(0060997)
hgbot (developer)
2013-09-10 09:54

Repository: erp/pmods/org.openbravo.mobile.core-levelpricing
Changeset: 787a633a2ad4f0e50d48877afe1b3e9fa84656eb
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Wed Aug 28 13:44:15 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core-levelpricing/rev/787a633a2ad4f0e50d48877afe1b3e9fa84656eb [^]

Fixed issue 24582. Buttons which raise popups, and the menu, will work correctly again in touchscreens with Windows

---
M web/org.openbravo.mobile.core/source/component/ob-commonbuttons.js
M web/org.openbravo.mobile.core/source/component/ob-menu.js
---
(0061020)
guilleaer (developer)
2013-09-10 09:57

reclosed
(0061100)
hgbot (developer)
2013-09-12 13:06

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: abe377f1daa7b12b6205ce0879be5a66b4ced417
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Wed Aug 28 13:44:15 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/abe377f1daa7b12b6205ce0879be5a66b4ced417 [^]

Fixed issue 24582. Buttons which raise popups, and the menu, will work correctly again in touchscreens with Windows

---
M web/org.openbravo.mobile.core/source/component/ob-commonbuttons.js
M web/org.openbravo.mobile.core/source/component/ob-menu.js
---
(0061543)
hgbot (developer)
2013-10-04 09:33

Repository: erp/pmods/org.openbravo.mobile.core-levelpricing
Changeset: abe377f1daa7b12b6205ce0879be5a66b4ced417
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Wed Aug 28 13:44:15 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core-levelpricing/rev/abe377f1daa7b12b6205ce0879be5a66b4ced417 [^]

Fixed issue 24582. Buttons which raise popups, and the menu, will work correctly again in touchscreens with Windows

---
M web/org.openbravo.mobile.core/source/component/ob-commonbuttons.js
M web/org.openbravo.mobile.core/source/component/ob-menu.js
---
(0061549)
guilleaer (developer)
2013-10-04 09:34

reclosed
(0061680)
hgbot (developer)
2013-10-15 13:08

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 07890c374734bd155bbed0d9556130c357048ab7
Author: David Baz Fayos <david.baz <at> openbravo.com>
Date: Tue Oct 15 13:08:05 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/07890c374734bd155bbed0d9556130c357048ab7 [^]

Related to issue 24582: Improved the way autoDismiss is handled
in order to let new son classes be able to override it and set it to 'false'

---
M web/org.openbravo.mobile.core/source/component/ob-commonbuttons.js
M web/org.openbravo.mobile.core/source/component/ob-menu.js
---
(0062346)
hgbot (developer)
2013-11-22 16:08

Repository: erp/pmods/org.openbravo.mobile.core.cirque
Changeset: 07890c374734bd155bbed0d9556130c357048ab7
Author: David Baz Fayos <david.baz <at> openbravo.com>
Date: Tue Oct 15 13:08:05 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core.cirque/rev/07890c374734bd155bbed0d9556130c357048ab7 [^]

Related to issue 24582: Improved the way autoDismiss is handled
in order to let new son classes be able to override it and set it to 'false'

---
M web/org.openbravo.mobile.core/source/component/ob-commonbuttons.js
M web/org.openbravo.mobile.core/source/component/ob-menu.js
---

- Issue History
Date Modified Username Field Change
2013-08-26 11:03 jecharri New Issue
2013-08-26 11:03 jecharri Assigned To => marvintm
2013-08-26 11:03 jecharri Triggers an Emergency Pack => No
2013-08-26 11:04 jecharri Regression level => Production - Confirmed Stable
2013-08-26 11:04 jecharri Triggers an Emergency Pack No => Yes
2013-08-26 11:04 jecharri Tag Attached: Regression
2013-08-28 13:44 hgbot Checkin
2013-08-28 13:44 hgbot Note Added: 0060801
2013-08-28 13:44 hgbot Status new => resolved
2013-08-28 13:44 hgbot Resolution open => fixed
2013-08-28 13:44 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/8bbfe3bde47160bdf7e3b1cb08d214c70939a034 [^]
2013-08-28 14:08 guilleaer Review Assigned To => guilleaer
2013-08-28 14:08 guilleaer Note Added: 0060804
2013-08-28 14:08 guilleaer Status resolved => closed
2013-08-28 14:08 guilleaer Fixed in Version => RMP26
2013-08-30 08:52 hgbot Checkin
2013-08-30 08:52 hgbot Note Added: 0060827
2013-08-30 08:52 hgbot Status closed => resolved
2013-08-30 08:52 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/8bbfe3bde47160bdf7e3b1cb08d214c70939a034 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/787a633a2ad4f0e50d48877afe1b3e9fa84656eb [^]
2013-08-30 09:01 guilleaer Note Added: 0060828
2013-08-30 09:01 guilleaer Status resolved => closed
2013-08-30 09:01 priyam Note Added: 0060829
2013-09-10 09:54 hgbot Checkin
2013-09-10 09:54 hgbot Note Added: 0060990
2013-09-10 09:54 hgbot Status closed => resolved
2013-09-10 09:54 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/787a633a2ad4f0e50d48877afe1b3e9fa84656eb [^] => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core-levelpricing/rev/8bbfe3bde47160bdf7e3b1cb08d214c70939a034 [^]
2013-09-10 09:54 hgbot Checkin
2013-09-10 09:54 hgbot Note Added: 0060997
2013-09-10 09:54 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core-levelpricing/rev/8bbfe3bde47160bdf7e3b1cb08d214c70939a034 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core-levelpricing/rev/787a633a2ad4f0e50d48877afe1b3e9fa84656eb [^]
2013-09-10 09:57 guilleaer Status resolved => closed
2013-09-10 09:57 guilleaer Note Added: 0061020
2013-09-12 13:06 hgbot Checkin
2013-09-12 13:06 hgbot Note Added: 0061100
2013-09-12 13:06 hgbot Status closed => resolved
2013-09-12 13:06 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core-levelpricing/rev/787a633a2ad4f0e50d48877afe1b3e9fa84656eb [^] => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/abe377f1daa7b12b6205ce0879be5a66b4ced417 [^]
2013-09-12 13:07 priyam Status resolved => closed
2013-10-04 09:33 hgbot Checkin
2013-10-04 09:33 hgbot Note Added: 0061543
2013-10-04 09:33 hgbot Status closed => resolved
2013-10-04 09:33 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/abe377f1daa7b12b6205ce0879be5a66b4ced417 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core-levelpricing/rev/abe377f1daa7b12b6205ce0879be5a66b4ced417 [^]
2013-10-04 09:34 guilleaer Note Added: 0061549
2013-10-04 09:34 guilleaer Status resolved => closed
2013-10-15 13:08 hgbot Checkin
2013-10-15 13:08 hgbot Note Added: 0061680
2013-11-22 16:08 hgbot Checkin
2013-11-22 16:08 hgbot Note Added: 0062346


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker